Package org.eclipse.emf.cdo.lm.impl

# Class LMPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.emf.cdo.lm.impl.LMPackageImpl

All Implemented Interfaces:
  `LMPackage`, `Notifier`, `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class LMPackageImpl extends EPackageImpl implements LMPackage
An implementation of the model Package.

Generated
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.lm.LMPackage

`LMPackage.Literals`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.emf.cdo.lm.LMPackage

`ANNOTATION_DETAIL_BASELINE_ID, ANNOTATION_DETAIL_BASELINE_NAME, ANNOTATION_DETAIL_BASELINE_TYPE, ANNOTATION_SOURCE, BASE_POINT, BASELINE, BASELINE___GET_ANNOTATION__STRING, BASELINE___GET_BASE_TIME_STAMP, BASELINE___GET_BRANCH_POINT, BASELINE___GET_MODULE, BASELINE___GET_NAME, BASELINE___GET_STREAM, BASELINE___GET_SYSTEM, BASELINE__ANNOTATIONS, BASELINE__FLOATING, BASELINE__STREAM, BASELINE_FEATURE_COUNT, BASELINE_OPERATION_COUNT, CHANGE, CHANGE___GET_ANNOTATION__STRING, CHANGE___GET_BASE, CHANGE___GET_BASE_TIME_STAMP, CHANGE___GET_BRANCH, CHANGE___GET_BRANCH_POINT, CHANGE___GET_DELIVERIES, CHANGE___GET_MODULE, CHANGE___GET_NAME, CHANGE___GET_STREAM, CHANGE___GET_SYSTEM, CHANGE__ANNOTATIONS, CHANGE__BASE, CHANGE__BRANCH, CHANGE__CLOSED, CHANGE__DELIVERIES, CHANGE__FLOATING, CHANGE__IMPACT, CHANGE__LABEL, CHANGE__STREAM, CHANGE_FEATURE_COUNT, CHANGE_OPERATION_COUNT, DELIVERY, DELIVERY___GET_ANNOTATION__STRING, DELIVERY___GET_BASE_TIME_STAMP, DELIVERY___GET_BASED_CHANGES, DELIVERY___GET_BRANCH_POINT, DELIVERY___GET_MODULE, DELIVERY___GET_NAME, DELIVERY___GET_STREAM, DELIVERY___GET_SYSTEM, DELIVERY__ANNOTATIONS, DELIVERY__CHANGE, DELIVERY__DEPENDENCIES, DELIVERY__FLOATING, DELIVERY__MERGE_SOURCE, DELIVERY__MERGE_TARGET, DELIVERY__STREAM, DELIVERY__VERSION, DELIVERY_FEATURE_COUNT, DELIVERY_OPERATION_COUNT, DEPENDENCY, DEPENDENCY___GET_ANNOTATION__STRING, DEPENDENCY___GET_MODULE, DEPENDENCY___GET_STREAM, DEPENDENCY___GET_SYSTEM, DEPENDENCY__ANNOTATIONS, DEPENDENCY__TARGET, DEPENDENCY__VERSION_RANGE, DEPENDENCY_FEATURE_COUNT, DEPENDENCY_OPERATION_COUNT, DROP, DROP___GET_ANNOTATION__STRING, DROP___GET_BASE_TIME_STAMP, DROP___GET_BASED_CHANGES, DROP___GET_BASED_STREAMS, DROP___GET_BRANCH_POINT, DROP___GET_MODULE, DROP___GET_NAME, DROP___GET_STREAM, DROP___GET_SYSTEM, DROP___IS_RELEASE, DROP__ANNOTATIONS, DROP__BRANCH_POINT, DROP__DEPENDENCIES, DROP__FLOATING, DROP__LABEL, DROP__STREAM, DROP__TYPE, DROP__VERSION, DROP_FEATURE_COUNT, DROP_OPERATION_COUNT, DROP_TYPE, DROP_TYPE___GET_ANNOTATION__STRING, DROP_TYPE___GET_PROCESS, DROP_TYPE___GET_SYSTEM, DROP_TYPE__ANNOTATIONS, DROP_TYPE__NAME, DROP_TYPE__PROCESS, DROP_TYPE__RELEASE, DROP_TYPE_FEATURE_COUNT, DROP_TYPE_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FIXED_BASELINE, FIXED_BASELINE___GET_ANNOTATION__STRING, FIXED_BASELINE___GET_BASE_TIME_STAMP, FIXED_BASELINE___GET_BASED_CHANGES, FIXED_BASELINE___GET_BRANCH_POINT, FIXED_BASELINE___GET_MODULE, FIXED_BASELINE___GET_NAME, FIXED_BASELINE___GET_STREAM, FIXED_BASELINE___GET_SYSTEM, FIXED_BASELINE__ANNOTATIONS, FIXED_BASELINE__DEPENDENCIES, FIXED_BASELINE__FLOATING, FIXED_BASELINE__STREAM, FIXED_BASELINE__VERSION, FIXED_BASELINE_FEATURE_COUNT, FIXED_BASELINE_OPERATION_COUNT, FLOATING_BASELINE, FLOATING_BASELINE___GET_ANNOTATION__STRING, FLOATING_BASELINE___GET_BASE, FLOATING_BASELINE___GET_BASE_TIME_STAMP, FLOATING_BASELINE___GET_BRANCH, FLOATING_BASELINE___GET_BRANCH_POINT, FLOATING_BASELINE___GET_DELIVERIES, FLOATING_BASELINE___GET_MODULE, FLOATING_BASELINE___GET_NAME, FLOATING_BASELINE___GET_STREAM, FLOATING_BASELINE___GET_SYSTEM, FLOATING_BASELINE__ANNOTATIONS, FLOATING_BASELINE__CLOSED, FLOATING_BASELINE__FLOATING, FLOATING_BASELINE__STREAM, FLOATING_BASELINE_FEATURE_COUNT, FLOATING_BASELINE_OPERATION_COUNT, IMPACT, MODULE, MODULE___GET_ANNOTATION__STRING, MODULE___GET_SYSTEM, MODULE__ANNOTATIONS, MODULE__NAME, MODULE__STREAMS, MODULE__SYSTEM, MODULE__TYPE, MODULE_ELEMENT, MODULE_ELEMENT___GET_ANNOTATION__STRING, MODULE_ELEMENT___GET_MODULE, MODULE_ELEMENT___GET_SYSTEM, MODULE_ELEMENT__ANNOTATIONS, MODULE_ELEMENT_FEATURE_COUNT, MODULE_ELEMENT_OPERATION_COUNT, MODULE_FEATURE_COUNT, MODULE_OPERATION_COUNT, MODULE_TYPE, MODULE_TYPE___GET_ANNOTATION__STRING, MODULE_TYPE___GET_PROCESS, MODULE_TYPE___GET_SYSTEM, MODULE_TYPE__ANNOTATIONS, MODULE_TYPE__NAME, MODULE_TYPE__PROCESS, MODULE_TYPE_FEATURE_COUNT, MODULE_TYPE_OPERATION_COUNT, PROCESS, PROCESS___GET_ANNOTATION__STRING, PROCESS___GET_SYSTEM, PROCESS__ANNOTATIONS, PROCESS__DROP_TYPES, PROCESS__INITIAL_MODULE_VERSION, PROCESS__MODULE_DEFINITION_PATH, PROCESS__MODULE_TYPES, PROCESS__SYSTEM, PROCESS_ELEMENT, PROCESS_ELEMENT___GET_ANNOTATION__STRING, PROCESS_ELEMENT___GET_PROCESS, PROCESS_ELEMENT___GET_SYSTEM, PROCESS_ELEMENT__ANNOTATIONS, PROCESS_ELEMENT_FEATURE_COUNT, PROCESS_ELEMENT_OPERATION_COUNT, PROCESS_FEATURE_COUNT, PROCESS_OPERATION_COUNT, STREAM, STREAM___GET_ANNOTATION__STRING, STREAM___GET_BASE, STREAM___GET_BASE_TIME_STAMP, STREAM___GET_BASED_CHANGES, STREAM___GET_BRANCH, STREAM___GET_BRANCH_POINT, STREAM___GET_BRANCH_POINT__LONG, STREAM___GET_DELIVERIES, STREAM___GET_FIRST_RELEASE, STREAM___GET_LAST_RELEASE, STREAM___GET_MODULE, STREAM___GET_NAME, STREAM___GET_RELEASES, STREAM___GET_STREAM, STREAM___GET_SYSTEM, STREAM___INSERT_CONTENT__BASELINE, STREAM__ALLOWED_CHANGES, STREAM__ANNOTATIONS, STREAM__BASE, STREAM__CLOSED, STREAM__CODE_NAME, STREAM__CONTENTS, STREAM__DEVELOPMENT_BRANCH, STREAM__FLOATING, STREAM__MAINTENANCE_BRANCH, STREAM__MAINTENANCE_TIME_STAMP, STREAM__MAJOR_VERSION, STREAM__MINOR_VERSION, STREAM__MODE, STREAM__MODULE, STREAM__START_TIME_STAMP, STREAM__STREAM, STREAM_ELEMENT, STREAM_ELEMENT___GET_ANNOTATION__STRING, STREAM_ELEMENT___GET_MODULE, STREAM_ELEMENT___GET_STREAM, STREAM_ELEMENT___GET_SYSTEM, STREAM_ELEMENT__ANNOTATIONS, STREAM_ELEMENT_FEATURE_COUNT, STREAM_ELEMENT_OPERATION_COUNT, STREAM_FEATURE_COUNT, STREAM_MODE, STREAM_OPERATION_COUNT, SYSTEM, SYSTEM___GET_ANNOTATION__STRING, SYSTEM___GET_MODULE__STRING, SYSTEM__ANNOTATIONS, SYSTEM__MODULES, SYSTEM__NAME, SYSTEM__PROCESS, SYSTEM_ELEMENT, SYSTEM_ELEMENT___GET_ANNOTATION__STRING, SYSTEM_ELEMENT___GET_SYSTEM, SYSTEM_ELEMENT__ANNOTATIONS, SYSTEM_ELEMENT_FEATURE_COUNT, SYSTEM_ELEMENT_OPERATION_COUNT, SYSTEM_FEATURE_COUNT, SYSTEM_OPERATION_COUNT`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`EClass`
`getBaseline()`
`EOperation`
`getBaseline__GetBaseTimeStamp()`
`EOperation`
`getBaseline__GetBranchPoint()`
`EOperation`
`getBaseline__GetName()`
`EAttribute`
`getBaseline_Floating()`
`EReference`
`getBaseline_Stream()`
`EDataType`
`getBasePoint()`
`EClass`
`getChange()`
`EReference`
`getChange_Base()`
`EAttribute`
`getChange_Branch()`
`EReference`
`getChange_Deliveries()`
`EAttribute`
`getChange_Impact()`
`EAttribute`
`getChange_Label()`
`EClass`
`getDelivery()`
`EReference`
`getDelivery_Change()`
`EAttribute`
`getDelivery_MergeSource()`
`EAttribute`
`getDelivery_MergeTarget()`
`EClass`
`getDependency()`
`EReference`
`getDependency_Target()`
`EAttribute`
`getDependency_VersionRange()`
`EClass`
`getDrop()`
`EOperation`
`getDrop__GetBasedStreams()`
`EOperation`
`getDrop__IsRelease()`
`EAttribute`
`getDrop_BranchPoint()`
`EAttribute`
`getDrop_Label()`
`EReference`
`getDrop_Type()`
`EClass`
`getDropType()`
`EAttribute`
`getDropType_Name()`
`EReference`
`getDropType_Process()`
`EAttribute`
`getDropType_Release()`
`EClass`
`getFixedBaseline()`
`EOperation`
`getFixedBaseline__GetBasedChanges()`
`EReference`
`getFixedBaseline_Dependencies()`
`EAttribute`
`getFixedBaseline_Version()`
`EClass`
`getFloatingBaseline()`
`EOperation`
`getFloatingBaseline__GetBase()`
`EOperation`
`getFloatingBaseline__GetBranch()`
`EOperation`
`getFloatingBaseline__GetDeliveries()`
`EAttribute`
`getFloatingBaseline_Closed()`
`EEnum`
`getImpact()`
`LMFactory`
`getLMFactory()`
`EClass`
`getModule()`
`EAttribute`
`getModule_Name()`
`EReference`
`getModule_Streams()`
`EReference`
`getModule_System()`
`EReference`
`getModule_Type()`
`EClass`
`getModuleElement()`
`EOperation`
`getModuleElement__GetModule()`
`EClass`
`getModuleType()`
`EAttribute`
`getModuleType_Name()`
`EReference`
`getModuleType_Process()`
`EClass`
`getProcess()`
`EReference`
`getProcess_DropTypes()`
`EAttribute`
`getProcess_InitialModuleVersion()`
`EAttribute`
`getProcess_ModuleDefinitionPath()`
`EReference`
`getProcess_ModuleTypes()`
`EReference`
`getProcess_System()`
`EClass`
`getProcessElement()`
`EOperation`
`getProcessElement__GetProcess()`
`EClass`
`getStream()`
`EOperation`
`getStream__GetBasedChanges()`
`EOperation`
`getStream__GetBranchPoint__long()`
`EOperation`
`getStream__GetFirstRelease()`
`EOperation`
`getStream__GetLastRelease()`
`EOperation`
`getStream__GetReleases()`
`EOperation`
`getStream__InsertContent__Baseline()`
`EAttribute`
`getStream_AllowedChanges()`
`EReference`
`getStream_Base()`
`EAttribute`
`getStream_CodeName()`
`EReference`
`getStream_Contents()`
`EAttribute`
`getStream_DevelopmentBranch()`
`EAttribute`
`getStream_MaintenanceBranch()`
`EAttribute`
`getStream_MaintenanceTimeStamp()`
`EAttribute`
`getStream_MajorVersion()`
`EAttribute`
`getStream_MinorVersion()`
`EAttribute`
`getStream_Mode()`
`EReference`
`getStream_Module()`
`EAttribute`
`getStream_StartTimeStamp()`
`EClass`
`getStreamElement()`
`EOperation`
`getStreamElement__GetStream()`
`EEnum`
`getStreamMode()`
`EClass`
`getSystem()`
`EOperation`
`getSystem__GetModule__String()`
`EReference`
`getSystem_Modules()`
`EAttribute`
`getSystem_Name()`
`EReference`
`getSystem_Process()`
`EClass`
`getSystemElement()`
`EOperation`
`getSystemElement__GetSystem()`
`static LMPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static LMPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `LMPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `LMPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`
Generated

### getSystemElement

public EClass getSystemElement()

Specified by:
  `getSystemElement` in interface `LMPackage`
Returns:
  the meta object for class 'System Element'.
See Also:
  - `SystemElement`
Generated

### getSystemElement__GetSystem

public EOperation getSystemElement__GetSystem()

Specified by:
  `getSystemElement__GetSystem` in interface `LMPackage`
Returns:
  the meta object for the 'Get System' operation.
See Also:
  - `SystemElement.getSystem()`
Generated

### getProcessElement

public EClass getProcessElement()

Specified by:
  `getProcessElement` in interface `LMPackage`
Returns:
  the meta object for class 'Process Element'.
See Also:
  - `ProcessElement`
Generated

### getProcessElement__GetProcess

public EOperation getProcessElement__GetProcess()

Specified by:
  `getProcessElement__GetProcess` in interface `LMPackage`
Returns:
  the meta object for the 'Get Process' operation.
See Also:
  - `ProcessElement.getProcess()`
Generated

### getModuleElement

public EClass getModuleElement()

Specified by:
  `getModuleElement` in interface `LMPackage`
Returns:
  the meta object for class 'Module Element'.
See Also:
  - `ModuleElement`
Generated

### getModuleElement__GetModule

public EOperation getModuleElement__GetModule()

Specified by:
  `getModuleElement__GetModule` in interface `LMPackage`
Returns:
  the meta object for the 'Get Module' operation.
See Also:
  - `ModuleElement.getModule()`
Generated

### getStreamElement

public EClass getStreamElement()

Specified by:
  `getStreamElement` in interface `LMPackage`
Returns:
  the meta object for class 'Stream Element'.
See Also:
  - `StreamElement`
Generated

### getStreamElement__GetStream

public EOperation getStreamElement__GetStream()

Specified by:
  `getStreamElement__GetStream` in interface `LMPackage`
Returns:
  the meta object for the 'Get Stream' operation.
See Also:
  - `StreamElement.getStream()`
Generated

### getSystem

public EClass getSystem()

Specified by:
  `getSystem` in interface `LMPackage`
Returns:
  the meta object for class 'System'.
See Also:
  - `System`
Generated

### getSystem_Name

public EAttribute getSystem_Name()

Specified by:
  `getSystem_Name` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `System.getName()`
  - `LMPackage.getSystem()`
Generated

### getSystem_Process

public EReference getSystem_Process()

Specified by:
  `getSystem_Process` in interface `LMPackage`
Returns:
  the meta object for the containment reference 'Process'.
See Also:
  - `System.getProcess()`
  - `LMPackage.getSystem()`
Generated

### getSystem_Modules

public EReference getSystem_Modules()

Specified by:
  `getSystem_Modules` in interface `LMPackage`
Returns:
  the meta object for the containment reference list 'Modules'.
See Also:
  - `System.getModules()`
  - `LMPackage.getSystem()`
Generated

### getSystem__GetModule__String

public EOperation getSystem__GetModule__String()

Specified by:
  `getSystem__GetModule__String` in interface `LMPackage`
Returns:
  the meta object for the 'Get Module' operation.
See Also:
  - `System.getModule(java.lang.String)`
Generated

### getProcess

public EClass getProcess()

Specified by:
  `getProcess` in interface `LMPackage`
Returns:
  the meta object for class 'Process'.
See Also:
  - `Process`
Generated

### getProcess_System

public EReference getProcess_System()

Specified by:
  `getProcess_System` in interface `LMPackage`
Returns:
  the meta object for the container reference 'System'.
See Also:
  - `Process.getSystem()`
  - `LMPackage.getProcess()`
Generated

### getProcess_DropTypes

public EReference getProcess_DropTypes()

Specified by:
  `getProcess_DropTypes` in interface `LMPackage`
Returns:
  the meta object for the containment reference list 'Drop Types'.
See Also:
  - `Process.getDropTypes()`
  - `LMPackage.getProcess()`
Generated

### getProcess_ModuleDefinitionPath

public EAttribute getProcess_ModuleDefinitionPath()

Specified by:
  `getProcess_ModuleDefinitionPath` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Module Definition Path'.
See Also:
  - `Process.getModuleDefinitionPath()`
  - `LMPackage.getProcess()`
Generated

### getProcess_InitialModuleVersion

public EAttribute getProcess_InitialModuleVersion()

Specified by:
  `getProcess_InitialModuleVersion` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Initial Module Version'.
See Also:
  - `Process.getInitialModuleVersion()`
  - `LMPackage.getProcess()`
Generated

### getProcess_ModuleTypes

public EReference getProcess_ModuleTypes()

Specified by:
  `getProcess_ModuleTypes` in interface `LMPackage`
Returns:
  the meta object for the containment reference list 'Module Types'.
See Also:
  - `Process.getModuleTypes()`
  - `LMPackage.getProcess()`
Generated

### getDropType

public EClass getDropType()

Specified by:
  `getDropType` in interface `LMPackage`
Returns:
  the meta object for class 'Drop Type'.
See Also:
  - `DropType`
Generated

### getDropType_Process

public EReference getDropType_Process()

Specified by:
  `getDropType_Process` in interface `LMPackage`
Returns:
  the meta object for the container reference 'Process'.
See Also:
  - `DropType.getProcess()`
  - `LMPackage.getDropType()`
Generated

### getDropType_Name

public EAttribute getDropType_Name()

Specified by:
  `getDropType_Name` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `DropType.getName()`
  - `LMPackage.getDropType()`
Generated

### getDropType_Release

public EAttribute getDropType_Release()

Specified by:
  `getDropType_Release` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Release'.
See Also:
  - `DropType.isRelease()`
  - `LMPackage.getDropType()`
Generated

### getModule

public EClass getModule()

Specified by:
  `getModule` in interface `LMPackage`
Returns:
  the meta object for class 'Module'.
See Also:
  - `Module`
Generated

### getModule_System

public EReference getModule_System()

Specified by:
  `getModule_System` in interface `LMPackage`
Returns:
  the meta object for the container reference 'System'.
See Also:
  - `Module.getSystem()`
  - `LMPackage.getModule()`
Generated

### getModule_Name

public EAttribute getModule_Name()

Specified by:
  `getModule_Name` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `Module.getName()`
  - `LMPackage.getModule()`
Generated

### getModule_Type

public EReference getModule_Type()

Specified by:
  `getModule_Type` in interface `LMPackage`
Returns:
  the meta object for the reference 'Type'.
See Also:
  - `Module.getType()`
  - `LMPackage.getModule()`
Generated

### getModule_Streams

public EReference getModule_Streams()

Specified by:
  `getModule_Streams` in interface `LMPackage`
Returns:
  the meta object for the containment reference list 'Streams'.
See Also:
  - `Module.getStreams()`
  - `LMPackage.getModule()`
Generated

### getDependency

public EClass getDependency()

Specified by:
  `getDependency` in interface `LMPackage`
Returns:
  the meta object for class 'Dependency'.
See Also:
  - `Dependency`
Generated

### getDependency_Target

public EReference getDependency_Target()

Specified by:
  `getDependency_Target` in interface `LMPackage`
Returns:
  the meta object for the reference 'Target'.
See Also:
  - `Dependency.getTarget()`
  - `LMPackage.getDependency()`
Generated

### getDependency_VersionRange

public EAttribute getDependency_VersionRange()

Specified by:
  `getDependency_VersionRange` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Version Range'.
See Also:
  - `Dependency.getVersionRange()`
  - `LMPackage.getDependency()`
Generated

### getModuleType

public EClass getModuleType()

Specified by:
  `getModuleType` in interface `LMPackage`
Returns:
  the meta object for class 'Module Type'.
See Also:
  - `ModuleType`
Generated

### getModuleType_Process

public EReference getModuleType_Process()

Specified by:
  `getModuleType_Process` in interface `LMPackage`
Returns:
  the meta object for the container reference 'Process'.
See Also:
  - `ModuleType.getProcess()`
  - `LMPackage.getModuleType()`
Generated

### getModuleType_Name

public EAttribute getModuleType_Name()

Specified by:
  `getModuleType_Name` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `ModuleType.getName()`
  - `LMPackage.getModuleType()`
Generated

### getBaseline

public EClass getBaseline()

Specified by:
  `getBaseline` in interface `LMPackage`
Returns:
  the meta object for class 'Baseline'.
See Also:
  - `Baseline`
Generated

### getBaseline_Stream

public EReference getBaseline_Stream()

Specified by:
  `getBaseline_Stream` in interface `LMPackage`
Returns:
  the meta object for the container reference 'Stream'.
See Also:
  - `Baseline.getStream()`
  - `LMPackage.getBaseline()`
Generated

### getBaseline_Floating

public EAttribute getBaseline_Floating()

Specified by:
  `getBaseline_Floating` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Floating'.
See Also:
  - `Baseline.isFloating()`
  - `LMPackage.getBaseline()`
Generated

### getBaseline__GetName

public EOperation getBaseline__GetName()

Specified by:
  `getBaseline__GetName` in interface `LMPackage`
Returns:
  the meta object for the 'Get Name' operation.
See Also:
  - `Baseline.getName()`
Generated

### getBaseline__GetBranchPoint

public EOperation getBaseline__GetBranchPoint()

Specified by:
  `getBaseline__GetBranchPoint` in interface `LMPackage`
Returns:
  the meta object for the 'Get Branch Point' operation.
See Also:
  - `Baseline.getBranchPoint()`
Generated

### getBaseline__GetBaseTimeStamp

public EOperation getBaseline__GetBaseTimeStamp()

Specified by:
  `getBaseline__GetBaseTimeStamp` in interface `LMPackage`
Returns:
  the meta object for the 'Get Base Time Stamp' operation.
See Also:
  - `Baseline.getBaseTimeStamp()`
Generated

### getFloatingBaseline

public EClass getFloatingBaseline()

Specified by:
  `getFloatingBaseline` in interface `LMPackage`
Returns:
  the meta object for class 'Floating Baseline'.
See Also:
  - `FloatingBaseline`
Generated

### getFloatingBaseline_Closed

public EAttribute getFloatingBaseline_Closed()

Specified by:
  `getFloatingBaseline_Closed` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Closed'.
See Also:
  - `FloatingBaseline.isClosed()`
  - `LMPackage.getFloatingBaseline()`
Generated

### getFloatingBaseline__GetBase

public EOperation getFloatingBaseline__GetBase()

Specified by:
  `getFloatingBaseline__GetBase` in interface `LMPackage`
Returns:
  the meta object for the 'Get Base' operation.
See Also:
  - `FloatingBaseline.getBase()`
Generated

### getFloatingBaseline__GetDeliveries

public EOperation getFloatingBaseline__GetDeliveries()

Specified by:
  `getFloatingBaseline__GetDeliveries` in interface `LMPackage`
Returns:
  the meta object for the 'Get Deliveries' operation.
See Also:
  - `FloatingBaseline.getDeliveries()`
Generated

### getFloatingBaseline__GetBranch

public EOperation getFloatingBaseline__GetBranch()

Specified by:
  `getFloatingBaseline__GetBranch` in interface `LMPackage`
Returns:
  the meta object for the 'Get Branch' operation.
See Also:
  - `FloatingBaseline.getBranch()`
Generated

### getFixedBaseline

public EClass getFixedBaseline()

Specified by:
  `getFixedBaseline` in interface `LMPackage`
Returns:
  the meta object for class 'Fixed Baseline'.
See Also:
  - `FixedBaseline`
Generated

### getFixedBaseline_Version

public EAttribute getFixedBaseline_Version()

Specified by:
  `getFixedBaseline_Version` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Version'.
See Also:
  - `FixedBaseline.getVersion()`
  - `LMPackage.getFixedBaseline()`
Generated

### getFixedBaseline_Dependencies

public EReference getFixedBaseline_Dependencies()

Specified by:
  `getFixedBaseline_Dependencies` in interface `LMPackage`
Returns:
  the meta object for the containment reference list 'Dependencies'.
See Also:
  - `FixedBaseline.getDependencies()`
  - `LMPackage.getFixedBaseline()`
Generated

### getFixedBaseline__GetBasedChanges

public EOperation getFixedBaseline__GetBasedChanges()

Specified by:
  `getFixedBaseline__GetBasedChanges` in interface `LMPackage`
Returns:
  the meta object for the 'Get Based Changes' operation.
See Also:
  - `FixedBaseline.getBasedChanges()`
Generated

### getStream

public EClass getStream()

Specified by:
  `getStream` in interface `LMPackage`
Returns:
  the meta object for class 'Stream'.
See Also:
  - `Stream`
Generated

### getStream_Module

public EReference getStream_Module()

Specified by:
  `getStream_Module` in interface `LMPackage`
Returns:
  the meta object for the container reference 'Module'.
See Also:
  - `Stream.getModule()`
  - `LMPackage.getStream()`
Generated

### getStream_Base

public EReference getStream_Base()

Specified by:
  `getStream_Base` in interface `LMPackage`
Returns:
  the meta object for the reference 'Base'.
See Also:
  - `Stream.getBase()`
  - `LMPackage.getStream()`
Generated

### getStream_StartTimeStamp

public EAttribute getStream_StartTimeStamp()

Specified by:
  `getStream_StartTimeStamp` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Start Time Stamp'.
See Also:
  - `Stream.getStartTimeStamp()`
  - `LMPackage.getStream()`
Generated

### getStream_MajorVersion

public EAttribute getStream_MajorVersion()

Specified by:
  `getStream_MajorVersion` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Major Version'.
See Also:
  - `Stream.getMajorVersion()`
  - `LMPackage.getStream()`
Generated

### getStream_MinorVersion

public EAttribute getStream_MinorVersion()

Specified by:
  `getStream_MinorVersion` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Minor Version'.
See Also:
  - `Stream.getMinorVersion()`
  - `LMPackage.getStream()`
Generated

### getStream_CodeName

public EAttribute getStream_CodeName()

Specified by:
  `getStream_CodeName` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Code Name'.
See Also:
  - `Stream.getCodeName()`
  - `LMPackage.getStream()`
Generated

### getStream_AllowedChanges

public EAttribute getStream_AllowedChanges()

Specified by:
  `getStream_AllowedChanges` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Allowed Changes'.
See Also:
  - `Stream.getAllowedChanges()`
  - `LMPackage.getStream()`
Generated

### getStream_Contents

public EReference getStream_Contents()

Specified by:
  `getStream_Contents` in interface `LMPackage`
Returns:
  the meta object for the containment reference list 'Contents'.
See Also:
  - `Stream.getContents()`
  - `LMPackage.getStream()`
Generated

### getStream_MaintenanceTimeStamp

public EAttribute getStream_MaintenanceTimeStamp()

Specified by:
  `getStream_MaintenanceTimeStamp` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Maintenance Time Stamp'.
See Also:
  - `Stream.getMaintenanceTimeStamp()`
  - `LMPackage.getStream()`
Generated

### getStream__InsertContent__Baseline

public EOperation getStream__InsertContent__Baseline()

Specified by:
  `getStream__InsertContent__Baseline` in interface `LMPackage`
Returns:
  the meta object for the 'Insert Content' operation.
See Also:
  - `Stream.insertContent(org.eclipse.emf.cdo.lm.Baseline)`
Generated

### getStream__GetBranchPoint__long

public EOperation getStream__GetBranchPoint__long()

Specified by:
  `getStream__GetBranchPoint__long` in interface `LMPackage`
Returns:
  the meta object for the 'Get Branch Point' operation.
See Also:
  - `Stream.getBranchPoint(long)`
Generated

### getStream_Mode

public EAttribute getStream_Mode()

Specified by:
  `getStream_Mode` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Mode'.
See Also:
  - `Stream.getMode()`
  - `LMPackage.getStream()`
Generated

### getStream_DevelopmentBranch

public EAttribute getStream_DevelopmentBranch()

Specified by:
  `getStream_DevelopmentBranch` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Development Branch'.
See Also:
  - `Stream.getDevelopmentBranch()`
  - `LMPackage.getStream()`
Generated

### getStream_MaintenanceBranch

public EAttribute getStream_MaintenanceBranch()

Specified by:
  `getStream_MaintenanceBranch` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Maintenance Branch'.
See Also:
  - `Stream.getMaintenanceBranch()`
  - `LMPackage.getStream()`
Generated

### getStream__GetFirstRelease

public EOperation getStream__GetFirstRelease()

Specified by:
  `getStream__GetFirstRelease` in interface `LMPackage`
Returns:
  the meta object for the 'Get First Release' operation.
See Also:
  - `Stream.getFirstRelease()`
Generated

### getStream__GetLastRelease

public EOperation getStream__GetLastRelease()

Specified by:
  `getStream__GetLastRelease` in interface `LMPackage`
Returns:
  the meta object for the 'Get Last Release' operation.
See Also:
  - `Stream.getLastRelease()`
Generated

### getStream__GetReleases

public EOperation getStream__GetReleases()

Specified by:
  `getStream__GetReleases` in interface `LMPackage`
Returns:
  the meta object for the 'Get Releases' operation.
See Also:
  - `Stream.getReleases()`
Generated

### getStream__GetBasedChanges

public EOperation getStream__GetBasedChanges()

Specified by:
  `getStream__GetBasedChanges` in interface `LMPackage`
Returns:
  the meta object for the 'Get Based Changes' operation.
See Also:
  - `Stream.getBasedChanges()`
Generated

### getChange

public EClass getChange()

Specified by:
  `getChange` in interface `LMPackage`
Returns:
  the meta object for class 'Change'.
See Also:
  - `Change`
Generated

### getChange_Base

public EReference getChange_Base()

Specified by:
  `getChange_Base` in interface `LMPackage`
Returns:
  the meta object for the reference 'Base'.
See Also:
  - `Change.getBase()`
  - `LMPackage.getChange()`
Generated

### getChange_Label

public EAttribute getChange_Label()

Specified by:
  `getChange_Label` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Label'.
See Also:
  - `Change.getLabel()`
  - `LMPackage.getChange()`
Generated

### getChange_Impact

public EAttribute getChange_Impact()

Specified by:
  `getChange_Impact` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Impact'.
See Also:
  - `Change.getImpact()`
  - `LMPackage.getChange()`
Generated

### getChange_Branch

public EAttribute getChange_Branch()

Specified by:
  `getChange_Branch` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Branch'.
See Also:
  - `Change.getBranch()`
  - `LMPackage.getChange()`
Generated

### getChange_Deliveries

public EReference getChange_Deliveries()

Specified by:
  `getChange_Deliveries` in interface `LMPackage`
Returns:
  the meta object for the reference list 'Deliveries'.
See Also:
  - `Change.getDeliveries()`
  - `LMPackage.getChange()`
Generated

### getDelivery

public EClass getDelivery()

Specified by:
  `getDelivery` in interface `LMPackage`
Returns:
  the meta object for class 'Delivery'.
See Also:
  - `Delivery`
Generated

### getDelivery_Change

public EReference getDelivery_Change()

Specified by:
  `getDelivery_Change` in interface `LMPackage`
Returns:
  the meta object for the reference 'Change'.
See Also:
  - `Delivery.getChange()`
  - `LMPackage.getDelivery()`
Generated

### getDelivery_MergeSource

public EAttribute getDelivery_MergeSource()

Specified by:
  `getDelivery_MergeSource` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Merge Source'.
See Also:
  - `Delivery.getMergeSource()`
  - `LMPackage.getDelivery()`
Generated

### getDelivery_MergeTarget

public EAttribute getDelivery_MergeTarget()

Specified by:
  `getDelivery_MergeTarget` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Merge Target'.
See Also:
  - `Delivery.getMergeTarget()`
  - `LMPackage.getDelivery()`
Generated

### getDrop

public EClass getDrop()

Specified by:
  `getDrop` in interface `LMPackage`
Returns:
  the meta object for class 'Drop'.
See Also:
  - `Drop`
Generated

### getDrop_Type

public EReference getDrop_Type()

Specified by:
  `getDrop_Type` in interface `LMPackage`
Returns:
  the meta object for the reference 'Type'.
See Also:
  - `Drop.getType()`
  - `LMPackage.getDrop()`
Generated

### getDrop_Label

public EAttribute getDrop_Label()

Specified by:
  `getDrop_Label` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Label'.
See Also:
  - `Drop.getLabel()`
  - `LMPackage.getDrop()`
Generated

### getDrop_BranchPoint

public EAttribute getDrop_BranchPoint()

Specified by:
  `getDrop_BranchPoint` in interface `LMPackage`
Returns:
  the meta object for the attribute 'Branch Point'.
See Also:
  - `Drop.getBranchPoint()`
  - `LMPackage.getDrop()`
Generated

### getDrop__IsRelease

public EOperation getDrop__IsRelease()

Specified by:
  `getDrop__IsRelease` in interface `LMPackage`
Returns:
  the meta object for the 'Is Release' operation.
See Also:
  - `Drop.isRelease()`
Generated

### getDrop__GetBasedStreams

public EOperation getDrop__GetBasedStreams()

Specified by:
  `getDrop__GetBasedStreams` in interface `LMPackage`
Returns:
  the meta object for the 'Get Based Streams' operation.
See Also:
  - `Drop.getBasedStreams()`
Generated

### getImpact

public EEnum getImpact()

Specified by:
  `getImpact` in interface `LMPackage`
Returns:
  the meta object for enum 'Impact'.
See Also:
  - `Impact`
Generated

### getStreamMode

public EEnum getStreamMode()

Specified by:
  `getStreamMode` in interface `LMPackage`
Returns:
  the meta object for enum 'Stream Mode'.
See Also:
  - `StreamMode`
Generated

### getBasePoint

public EDataType getBasePoint()

Specified by:
  `getBasePoint` in interface `LMPackage`
Returns:
  the meta object for data type 'Base Point'.
See Also:
  - `BasePoint`
Generated

### getLMFactory

public LMFactory getLMFactory()

Specified by:
  `getLMFactory` in interface `LMPackage`
Returns:
  the factory that creates the instances of the model.
Generated

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

Generated

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Generated